initial buildroot for linux 5.15

This commit is contained in:
Huan.Feng
2021-12-06 14:12:13 +08:00
parent d7767d594e
commit 7b6fc358fa
12736 changed files with 508822 additions and 0 deletions
@@ -0,0 +1,24 @@
Signal handling for sparc is broken, fix it.
Signed-off-by: Waldemar Brodkorb <wbx@openadk.org>
--- dante-1.4.1.orig/lib/tostring.c 2014-08-21 18:21:50.000000000 +0200
+++ dante-1.4.1/lib/tostring.c 2016-07-10 10:08:39.785662622 +0200
@@ -1526,7 +1526,7 @@ signal2string(sig)
return "SIGKILL";
#endif /* SIGKILL */
-#if (defined SIGLOST) && (!defined SIGABRT || SIGLOST != SIGABRT)
+#if (defined SIGLOST) && (!defined SIGABRT || SIGLOST != SIGABRT || SIGLOST != SIGPWR)
case SIGLOST:
return "SIGLOST";
#endif /* SIGLOST */
@@ -1551,7 +1551,7 @@ signal2string(sig)
return "SIGPROF";
#endif /* SIGPROF */
-#ifdef SIGPWR
+#if (defined SIGPWR) && SIGPWR != SIGLOST
case SIGPWR:
return "SIGPWR";
#endif /* SIGPWR */
@@ -0,0 +1,35 @@
osdep.m4: Remove getaddrinfo() too low checks
dante runs AC_PREPROC_IFELSE then it fills $ERRVALFILE by running the
following command:
cat conftest.i | grep gaierrval: >>$2
As a result, $ERRVALFILE does not contain the expected values because
the expected value is not on the same line than gaierrval:
gaierrval:
# 130 "conftest.c" 3 4
-3
So drop these checks
Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
diff -Nuar dante-1.4.2-orig/osdep.m4 dante-1.4.2/osdep.m4
--- dante-1.4.2-orig/osdep.m4 2019-12-09 21:28:38.936003218 +0100
+++ dante-1.4.2/osdep.m4 2019-12-09 21:49:48.764019371 +0100
@@ -956,13 +956,7 @@
unset UNIQUEVALS UNIQUESYMBOLS
if test -s $ERRVALFILE; then
UNIQUEVALS=`sort $ERRVALFILE | uniq | wc -l | awk '{ print $1 }'`
- if test $UNIQUEVALS -le 1; then
- AC_MSG_FAILURE([error: getaddrinfo() error value count too low])
- fi
UNIQUESYMBOLS=`cat $ERRVALFILE | wc -l | awk '{ print $1 }'`
- if test $UNIQUESYMBOLS -le 1; then
- AC_MSG_FAILURE([error: getaddrinfo() error symbol count too low])
- fi
if test $ERRNOCNT -ne $UNIQUESYMBOLS; then
AC_MSG_FAILURE([internal error: errno symbol count mismatch])
+11
View File
@@ -0,0 +1,11 @@
config BR2_PACKAGE_DANTE
bool "dante"
depends on BR2_USE_MMU # fork()
help
Dante is a product developed by Inferno Nettverk A/S. It
consists of a SOCKS server and a SOCKS client, implementing
RFC 1928 and related standards. It is a flexible product
that can be used to provide convenient and secure network
connectivity.
http://www.inet.no/dante/
+40
View File
@@ -0,0 +1,40 @@
#!/bin/sh
#
# Starts dante
#
# Allow a few customizations from a config file
test -r /etc/default/dante && . /etc/default/dante
start() {
printf "Starting dante: "
start-stop-daemon -S -q -p /var/run/dante.pid \
--exec /usr/sbin/sockd -- $DAEMON_ARGS
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Stopping dante: "
start-stop-daemon -K -q -p /var/run/dante.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
restart
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?
+5
View File
@@ -0,0 +1,5 @@
# From https://www.inet.no/dante/download.html
sha256 418a065fe1a4b8ace8fbf77c2da269a98f376e7115902e76cda7e741e4846a5d dante-1.4.3.tar.gz
# Hash for license file
sha256 05e2db26147a8575005f090aada119ea6cb40a4382164929d647f00abef3bdfd LICENSE
+49
View File
@@ -0,0 +1,49 @@
################################################################################
#
# dante
#
################################################################################
DANTE_VERSION = 1.4.3
DANTE_SITE = http://www.inet.no/dante/files
DANTE_LICENSE = BSD-3-Clause
DANTE_LICENSE_FILES = LICENSE
DANTE_SELINUX_MODULES = dante
# Needed so that our libtool patch applies properly
DANTE_AUTORECONF = YES
DANTE_CONF_OPTS += --disable-client --disable-preload
ifeq ($(BR2_PACKAGE_LIBMINIUPNPC),y)
DANTE_DEPENDENCIES += libminiupnpc
DANTE_CONF_OPTS += --with-upnp
else
DANTE_CONF_OPTS += --without-upnp
endif
ifeq ($(BR2_PACKAGE_LINUX_PAM),y)
DANTE_DEPENDENCIES += linux-pam
DANTE_CONF_OPTS += --with-pam
else
DANTE_CONF_OPTS += --without-pam
endif
define DANTE_INSTALL_CONFIG_FILE
$(INSTALL) -D -m 644 $(@D)/example/sockd.conf \
$(TARGET_DIR)/etc/sockd.conf
endef
DANTE_POST_INSTALL_TARGET_HOOKS += DANTE_INSTALL_CONFIG_FILE
define DANTE_INSTALL_INIT_SYSTEMD
$(INSTALL) -D -m 644 package/dante/dante.service \
$(TARGET_DIR)/usr/lib/systemd/system/dante.service
endef
define DANTE_INSTALL_INIT_SYSV
$(INSTALL) -D -m 755 package/dante/S50dante \
$(TARGET_DIR)/etc/init.d/S50dante
endef
$(eval $(autotools-package))
+15
View File
@@ -0,0 +1,15 @@
[Unit]
Description=SOCKS v4 and v5 compatible proxy server and client
Requires=network.target
After=network.target
[Service]
Type=forking
EnvironmentFile=-/etc/default/dante
PIDFile=/run/dante.pid
ExecStart=/usr/sbin/sockd -D -p /run/dante.pid $DAEMON_ARGS
ExecReload=/bin/kill -HUP $MAINPID
Restart=always
[Install]
WantedBy=multi-user.target